Ask Your Question
1

Is ceilometer project is deprecated ?

asked 2019-04-15 03:05:42 -0500

bel var gravatar image

I have follow openstack ansible production example from below link :

https://docs.openstack.org/openstack-ansible/stein/user/prod/example.html (https://docs.openstack.org/openstack-...)

but when i try to test ceilometer commands it gave me below messages :

root@infra2-utility-container-d14558a5:~#ceilometer capabilities** /openstack/venvs/utility-18.1.5/local/lib/python2.7/site-packages/ceilometerclient/shell.py:177: UserWarning: ceilometerclient is now deprecated as the Ceilometer API has been deprecated. Please use either aodhclient, pankoclient or gnocchiclient. "ceilometerclient is now deprecated as the Ceilometer API has " internalURL endpoint for metering service in RegionOne region not found

so please any hint to recover this issue

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
1

answered 2019-04-15 04:48:35 -0500

Ceilometer is not deprecated at all. It is required to gather metrics in your cloud.

However, the Ceilometer API was disabled around Pike, I think. There is no API and no CLI. To see your cloud's metrics, you have to access the database where they are stored, which is Gnocchi by default. For events, use Panko, and for alarms, Aodh.

edit flag offensive delete link more

Comments

@bernd-bausch So there is no endpoint for ceilomter as the above error message is normal, is it right?

bel var gravatar imagebel var ( 2019-04-15 05:25:04 -0500 )edit

Yes, precisely.

Bernd Bausch gravatar imageBernd Bausch ( 2019-04-15 05:56:50 -0500 )edit

Thank you,

bel var gravatar imagebel var ( 2019-04-15 07:51:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2019-04-15 03:04:29 -0500

Seen: 67 times

Last updated: Apr 15